// myfilerd.h
#ifndef MYFILERD_H_INCLUDED
#define MYFILERD_H_INCLUDED

#include "myreader.h"

namespace mylib
{

class CMyFileReader : public CMyReader
{
public:
	CMyFileReader(const TCHAR* szName);
	virtual ~CMyFileReader();

protected:
	virtual bool Fill(unsigned char* buffer, size_t maxread, size_t& nread);

private:
	HANDLE m_hFile;
};

}	// namespace mylib
#endif	// MYFILERD_H_INCLUDED
